YDPDICT(1)

NAZWA
ydpdict - interfejs słowników Collinsa i Langenscheidt

SKŁADNIA
ydpdict [ opcje ]

OPIS
ydpdict jest korzystającym z biblioteki ncurses interfejsem służącym do obsługi multimedialnych słowników: angielsko-polskiego, polsko-angielskiego Collinsa, oraz niemiecko-polskiego i polsko-niemieckiego Langenscheidt, wydanych przez Young Digital Planet.

ydpdict szuka pliku konfiguracyjnego w następujących miejscach (czytany jest tylko pierwszy znaleziony plik):

1)  ~/ydpdict.conf

2)  ~/.ydpdictrc

3)  /etc/ydpdict.conf

ydpdict szuka plików słowinka w bieżącym katalogu oraz /usr/local/share/ydpdict

Próbki wymowy są domyślnie czytane z katalogu /media/cdrom By odtwarzać próbki wymowy angielskiej i niemieckiej, należy utworzyć katalogi en oraz de i umieścić w nich próbki wymowy odpowiednich słowników.

OPCJE

-e [--eng]
    Uruchamia słownik angielsko-polski (domyślne).

-p [--pol]
    Uruchamia słownik polsko-angielski.

-g [--ger-pol]
    Uruchamia słownik niemiecko-polski.

-o [--pol-ger]
    Uruchamia słownik polsko-niemiecki.

-f [--path=ŚCIEŻKA]
    Podaje ścieżkę do plików danych.

-c [--cdpath=ŚCIEŻKA]
    Podaje ścieżkę do płyty CD z próbkami wymowy.

-P [--player=ŚCIEŻKA]
    Podaje ścieżkę do odtwarzacza plików dźwiękowych.

-w [--word=SŁOWO]
    Uruchamia słownik i tłumaczy podane słowo.

-A [--audio=URZĄDZENIE]
    Określa domyślne urządzenie dźwiękowe.

--version
    Wyświetla wersję programu.

-h [--help]
    Wyświetla tekst pomocy.

OPCJE KONFIGURACJI

Path ŚCIEŻKA
    Podaje ścieżkę do plików danych.

CDPath ŚCIEŻKA
    Podaje ścieżkę do płyty CD z próbkami wymowy.

Player COMMAND
    Podaje ścieżkę do odtwarzacza plików dźwiękowych.

DefaultDictionary RODZAJ
    Domyślny słownik (0 - angielsko-polski, 1 - polsko-angielski, 2 - niemiecko-polski, 3 - polsko-niemiecki.

UseColor BOOLEAN
    Dostępność koloru jest wykrywana, ale można wymusić ją tą opcją (On, Off).

UseTransparent BOOLEAN
    Przezroczystość terminala (On, Off).

Color KOLOR

DefinitionColor KOLOR

InformationColor KOLOR
    Kolory używane do wyświetlania definicji mogą być ustawione na jeden z następujących: Black, Red, Green, Brown, Blue, Magenta, Cyan, White, Gray, Yellow, LightRed, LightGreen, LightBlue, LightMagenta, LightCyan, LightWhite. Uwaga: przy kolorach z przedrostkiem "Light", wyróżnienie tekstu nie będzie widoczne.

AUTOR
ydpdict został napisany przez Wojtka Kaniewskiego <wojtekka@toxygen.net>. Najnowszą wersję można znaleźć pod adresem http://toxygen.net/ydpdict/